### Enumeration

# Aravis GcError

#### Declaration

    error-domain Aravis.GcError

#### Description

No description available.

#### Members

`ARV_GC_ERROR_PROPERTY_NOT_DEFINED`

  No description available.

  - Value: `0`
  - Available since: 0.8
`ARV_GC_ERROR_PVALUE_NOT_DEFINED`

  No description available.

  - Value: `1`
  - Available since: 0.8
`ARV_GC_ERROR_INVALID_PVALUE`

  No description available.

  - Value: `2`
  - Available since: 0.8
`ARV_GC_ERROR_EMPTY_ENUMERATION`

  No description available.

  - Value: `3`
  - Available since: 0.8
`ARV_GC_ERROR_OUT_OF_RANGE`

  No description available.

  - Value: `4`
  - Available since: 0.8
`ARV_GC_ERROR_NO_DEVICE_SET`

  No description available.

  - Value: `5`
  - Available since: 0.8
`ARV_GC_ERROR_NO_EVENT_IMPLEMENTATION`

  No description available.

  - Value: `6`
  - Available since: 0.8
`ARV_GC_ERROR_NODE_NOT_FOUND`

  No description available.

  - Value: `7`
  - Available since: 0.8
`ARV_GC_ERROR_ENUM_ENTRY_NOT_FOUND`

  No description available.

  - Value: `8`
  - Available since: 0.8
`ARV_GC_ERROR_INVALID_LENGTH`

  No description available.

  - Value: `9`
  - Available since: 0.8
`ARV_GC_ERROR_READ_ONLY`

  No description available.

  - Value: `10`
  - Available since: 0.8
`ARV_GC_ERROR_SET_FROM_STRING_UNDEFINED`

  No description available.

  - Value: `11`
  - Available since: 0.8
`ARV_GC_ERROR_GET_AS_STRING_UNDEFINED`

  No description available.

  - Value: `12`
  - Available since: 0.8
`ARV_GC_ERROR_INVALID_BIT_RANGE`

  No description available.

  - Value: `13`
  - Available since: 0.8
`ARV_GC_ERROR_INVALID_SYNTAX`

  No description available.

  - Value: `14`
  - Available since: 0.8

#### Type functions

###### arv_gc_error_quark

No description available.